public static interface SWFEndpointBuilderFactory.SWFBuilders
| Modifier and Type | Method and Description |
|---|---|
default SWFEndpointBuilderFactory.SWFEndpointBuilder |
awsSwf(String path)
AWS Simple Workflow (SWF) (camel-aws-swf)
Manage workflows in the AWS Simple Workflow service.
|
default SWFEndpointBuilderFactory.SWFEndpointBuilder |
awsSwf(String componentName,
String path)
AWS Simple Workflow (SWF) (camel-aws-swf)
Manage workflows in the AWS Simple Workflow service.
|
default SWFEndpointBuilderFactory.SWFEndpointBuilder awsSwf(String path)
aws-swf:type
Path parameter: type (required)
Activity or workflow
There are 2 enums and the value can be one of: activity, workflowpath - typedefault SWFEndpointBuilderFactory.SWFEndpointBuilder awsSwf(String componentName, String path)
aws-swf:type
Path parameter: type (required)
Activity or workflow
There are 2 enums and the value can be one of: activity, workflowcomponentName - to use a custom component name for the endpoint
instead of the default namepath - typeApache Camel